using System;
using PolygonLib;
using Unit4.CollectionsLib;
// Select a project node in Solution Explorer, 
// and then, on the Project PolygonLibTest, click Properties. When the Project Designer appears, click the Application tab.
// click the Application tab.
// Startup object: You also have to define a public 
// static void Main() method in a class in the project. 
// This class will appear in the Startup object list as 3 classes:
// PolygonLibTest.TestPoly
// PolygonLibTest.TestPoly1
// PolygonLibTest.WheelTest
// You can then select the class as the startup object. 
namespace PolygonLibTest
{
    class TestPoly1
    {
        static void Main(string[] args)
        {
            Polygon pol = new Polygon(6, new Point(100, -50), 100);
            Point c;
            ConsoleKeyInfo cki;
            cki = Console.ReadKey(true); // reads the key without echo
            while (true)
            {
                switch (cki.Key)
                {
                    case ConsoleKey.LeftArrow:
                        pol.Move(-5, 0);    
                        break;
                    case ConsoleKey.RightArrow:
                        pol.Move(5, 0);
                        break;
                    case ConsoleKey.UpArrow:
                        pol.Move(0, 5);
                        break;
                    case ConsoleKey.DownArrow:
                        pol.Move(0, -5);
                        break;
                    case ConsoleKey.Home:
                        c = pol.Center();
                        pol.Move(-c.GetX(), -c.GetY());
                        break;
                    case ConsoleKey.F1:
                        pol.Rotate(5);
                        break;
                    case ConsoleKey.F2:
                        pol.Rotate(-5);
                        break;
                    case ConsoleKey.B:
                        pol.Scale(1.1, 1.1);
                        break;
                    case ConsoleKey.S:
                        pol.Scale(1/1.1, 1/1.1);
                        break;
                }
                cki = Console.ReadKey(true);
            }
        }
    }
}
